"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetDeploymentInstances_1 = require("../model/operations/BatchGetDeploymentInstances");
var BatchGetDeploymentInstancesCommand = /** @class */ (function () {
    function BatchGetDeploymentInstancesCommand(input) {
        this.input = input;
        this.model = BatchGetDeploymentInstances_1.BatchGetDeploymentInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetDeploymentInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetDeploymentInstancesCommand;
}());
exports.BatchGetDeploymentInstancesCommand = BatchGetDeploymentInstancesCommand;
//# sourceMappingURL=BatchGetDeploymentInstancesCommand.js.map