"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetOnPremisesInstances_1 = require("../model/operations/BatchGetOnPremisesInstances");
var BatchGetOnPremisesInstancesCommand = /** @class */ (function () {
    function BatchGetOnPremisesInstancesCommand(input) {
        this.input = input;
        this.model = BatchGetOnPremisesInstances_1.BatchGetOnPremisesInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetOnPremisesInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetOnPremisesInstancesCommand;
}());
exports.BatchGetOnPremisesInstancesCommand = BatchGetOnPremisesInstancesCommand;
//# sourceMappingURL=BatchGetOnPremisesInstancesCommand.js.map