"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ContinueDeployment_1 = require("../model/operations/ContinueDeployment");
var ContinueDeploymentCommand = /** @class */ (function () {
    function ContinueDeploymentCommand(input) {
        this.input = input;
        this.model = ContinueDeployment_1.ContinueDeployment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ContinueDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ContinueDeploymentCommand;
}());
exports.ContinueDeploymentCommand = ContinueDeploymentCommand;
//# sourceMappingURL=ContinueDeploymentCommand.js.map