"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListApplications_1 = require("../model/operations/ListApplications");
var ListApplicationsCommand = /** @class */ (function () {
    function ListApplicationsCommand(input) {
        this.input = input;
        this.model = ListApplications_1.ListApplications;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListApplicationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListApplicationsCommand;
}());
exports.ListApplicationsCommand = ListApplicationsCommand;
//# sourceMappingURL=ListApplicationsCommand.js.map