"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListDeploymentConfigs_1 = require("../model/operations/ListDeploymentConfigs");
var ListDeploymentConfigsCommand = /** @class */ (function () {
    function ListDeploymentConfigsCommand(input) {
        this.input = input;
        this.model = ListDeploymentConfigs_1.ListDeploymentConfigs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListDeploymentConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListDeploymentConfigsCommand;
}());
exports.ListDeploymentConfigsCommand = ListDeploymentConfigsCommand;
//# sourceMappingURL=ListDeploymentConfigsCommand.js.map