"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SkipWaitTimeForInstanceTermination_1 = require("../model/operations/SkipWaitTimeForInstanceTermination");
var SkipWaitTimeForInstanceTerminationCommand = /** @class */ (function () {
    function SkipWaitTimeForInstanceTerminationCommand(input) {
        this.input = input;
        this.model = SkipWaitTimeForInstanceTermination_1.SkipWaitTimeForInstanceTermination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SkipWaitTimeForInstanceTerminationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SkipWaitTimeForInstanceTerminationCommand;
}());
exports.SkipWaitTimeForInstanceTerminationCommand = SkipWaitTimeForInstanceTerminationCommand;
//# sourceMappingURL=SkipWaitTimeForInstanceTerminationCommand.js.map