"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetApplicationRevisionsInput_1 = require("../shapes/BatchGetApplicationRevisionsInput");
var BatchGetApplicationRevisionsOutput_1 = require("../shapes/BatchGetApplicationRevisionsOutput");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var RevisionRequiredException_1 = require("../shapes/RevisionRequiredException");
var InvalidRevisionException_1 = require("../shapes/InvalidRevisionException");
var BatchLimitExceededException_1 = require("../shapes/BatchLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetApplicationRevisions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetApplicationRevisions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetApplicationRevisionsInput_1.BatchGetApplicationRevisionsInput
    },
    output: {
        shape: BatchGetApplicationRevisionsOutput_1.BatchGetApplicationRevisionsOutput
    },
    errors: [
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: RevisionRequiredException_1.RevisionRequiredException
        },
        {
            shape: InvalidRevisionException_1.InvalidRevisionException
        },
        {
            shape: BatchLimitExceededException_1.BatchLimitExceededException
        }
    ]
};
//# sourceMappingURL=BatchGetApplicationRevisions.js.map