"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetApplicationInput_1 = require("../shapes/GetApplicationInput");
var GetApplicationOutput_1 = require("../shapes/GetApplicationOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApplication = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApplication",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetApplicationInput_1.GetApplicationInput
    },
    output: {
        shape: GetApplicationOutput_1.GetApplicationOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        }
    ]
};
//# sourceMappingURL=GetApplication.js.map