"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDeploymentTargetInput_1 = require("../shapes/GetDeploymentTargetInput");
var GetDeploymentTargetOutput_1 = require("../shapes/GetDeploymentTargetOutput");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var DeploymentNotStartedException_1 = require("../shapes/DeploymentNotStartedException");
var DeploymentTargetIdRequiredException_1 = require("../shapes/DeploymentTargetIdRequiredException");
var InvalidDeploymentTargetIdException_1 = require("../shapes/InvalidDeploymentTargetIdException");
var DeploymentTargetDoesNotExistException_1 = require("../shapes/DeploymentTargetDoesNotExistException");
var InvalidInstanceNameException_1 = require("../shapes/InvalidInstanceNameException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDeploymentTarget = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDeploymentTarget",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDeploymentTargetInput_1.GetDeploymentTargetInput
    },
    output: {
        shape: GetDeploymentTargetOutput_1.GetDeploymentTargetOutput
    },
    errors: [
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: DeploymentNotStartedException_1.DeploymentNotStartedException
        },
        {
            shape: DeploymentTargetIdRequiredException_1.DeploymentTargetIdRequiredException
        },
        {
            shape: InvalidDeploymentTargetIdException_1.InvalidDeploymentTargetIdException
        },
        {
            shape: DeploymentTargetDoesNotExistException_1.DeploymentTargetDoesNotExistException
        },
        {
            shape: InvalidInstanceNameException_1.InvalidInstanceNameException
        }
    ]
};
//# sourceMappingURL=GetDeploymentTarget.js.map