"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListApplicationRevisionsInput_1 = require("../shapes/ListApplicationRevisionsInput");
var ListApplicationRevisionsOutput_1 = require("../shapes/ListApplicationRevisionsOutput");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var InvalidSortByException_1 = require("../shapes/InvalidSortByException");
var InvalidSortOrderException_1 = require("../shapes/InvalidSortOrderException");
var InvalidBucketNameFilterException_1 = require("../shapes/InvalidBucketNameFilterException");
var InvalidKeyPrefixFilterException_1 = require("../shapes/InvalidKeyPrefixFilterException");
var BucketNameFilterRequiredException_1 = require("../shapes/BucketNameFilterRequiredException");
var InvalidDeployedStateFilterException_1 = require("../shapes/InvalidDeployedStateFilterException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListApplicationRevisions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListApplicationRevisions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListApplicationRevisionsInput_1.ListApplicationRevisionsInput
    },
    output: {
        shape: ListApplicationRevisionsOutput_1.ListApplicationRevisionsOutput
    },
    errors: [
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: InvalidSortByException_1.InvalidSortByException
        },
        {
            shape: InvalidSortOrderException_1.InvalidSortOrderException
        },
        {
            shape: InvalidBucketNameFilterException_1.InvalidBucketNameFilterException
        },
        {
            shape: InvalidKeyPrefixFilterException_1.InvalidKeyPrefixFilterException
        },
        {
            shape: BucketNameFilterRequiredException_1.BucketNameFilterRequiredException
        },
        {
            shape: InvalidDeployedStateFilterException_1.InvalidDeployedStateFilterException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListApplicationRevisions.js.map