"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterOnPremisesInstanceInput_1 = require("../shapes/RegisterOnPremisesInstanceInput");
var RegisterOnPremisesInstanceOutput_1 = require("../shapes/RegisterOnPremisesInstanceOutput");
var InstanceNameAlreadyRegisteredException_1 = require("../shapes/InstanceNameAlreadyRegisteredException");
var IamArnRequiredException_1 = require("../shapes/IamArnRequiredException");
var IamSessionArnAlreadyRegisteredException_1 = require("../shapes/IamSessionArnAlreadyRegisteredException");
var IamUserArnAlreadyRegisteredException_1 = require("../shapes/IamUserArnAlreadyRegisteredException");
var InstanceNameRequiredException_1 = require("../shapes/InstanceNameRequiredException");
var IamUserArnRequiredException_1 = require("../shapes/IamUserArnRequiredException");
var InvalidInstanceNameException_1 = require("../shapes/InvalidInstanceNameException");
var InvalidIamSessionArnException_1 = require("../shapes/InvalidIamSessionArnException");
var InvalidIamUserArnException_1 = require("../shapes/InvalidIamUserArnException");
var MultipleIamArnsProvidedException_1 = require("../shapes/MultipleIamArnsProvidedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterOnPremisesInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterOnPremisesInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterOnPremisesInstanceInput_1.RegisterOnPremisesInstanceInput
    },
    output: {
        shape: RegisterOnPremisesInstanceOutput_1.RegisterOnPremisesInstanceOutput
    },
    errors: [
        {
            shape: InstanceNameAlreadyRegisteredException_1.InstanceNameAlreadyRegisteredException
        },
        {
            shape: IamArnRequiredException_1.IamArnRequiredException
        },
        {
            shape: IamSessionArnAlreadyRegisteredException_1.IamSessionArnAlreadyRegisteredException
        },
        {
            shape: IamUserArnAlreadyRegisteredException_1.IamUserArnAlreadyRegisteredException
        },
        {
            shape: InstanceNameRequiredException_1.InstanceNameRequiredException
        },
        {
            shape: IamUserArnRequiredException_1.IamUserArnRequiredException
        },
        {
            shape: InvalidInstanceNameException_1.InvalidInstanceNameException
        },
        {
            shape: InvalidIamSessionArnException_1.InvalidIamSessionArnException
        },
        {
            shape: InvalidIamUserArnException_1.InvalidIamUserArnException
        },
        {
            shape: MultipleIamArnsProvidedException_1.MultipleIamArnsProvidedException
        }
    ]
};
//# sourceMappingURL=RegisterOnPremisesInstance.js.map