"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateDeploymentGroupInput_1 = require("../shapes/UpdateDeploymentGroupInput");
var UpdateDeploymentGroupOutput_1 = require("../shapes/UpdateDeploymentGroupOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var InvalidDeploymentGroupNameException_1 = require("../shapes/InvalidDeploymentGroupNameException");
var DeploymentGroupAlreadyExistsException_1 = require("../shapes/DeploymentGroupAlreadyExistsException");
var DeploymentGroupNameRequiredException_1 = require("../shapes/DeploymentGroupNameRequiredException");
var DeploymentGroupDoesNotExistException_1 = require("../shapes/DeploymentGroupDoesNotExistException");
var InvalidEC2TagException_1 = require("../shapes/InvalidEC2TagException");
var InvalidTagException_1 = require("../shapes/InvalidTagException");
var InvalidAutoScalingGroupException_1 = require("../shapes/InvalidAutoScalingGroupException");
var InvalidDeploymentConfigNameException_1 = require("../shapes/InvalidDeploymentConfigNameException");
var DeploymentConfigDoesNotExistException_1 = require("../shapes/DeploymentConfigDoesNotExistException");
var InvalidRoleException_1 = require("../shapes/InvalidRoleException");
var LifecycleHookLimitExceededException_1 = require("../shapes/LifecycleHookLimitExceededException");
var InvalidTriggerConfigException_1 = require("../shapes/InvalidTriggerConfigException");
var TriggerTargetsLimitExceededException_1 = require("../shapes/TriggerTargetsLimitExceededException");
var InvalidAlarmConfigException_1 = require("../shapes/InvalidAlarmConfigException");
var AlarmsLimitExceededException_1 = require("../shapes/AlarmsLimitExceededException");
var InvalidAutoRollbackConfigException_1 = require("../shapes/InvalidAutoRollbackConfigException");
var InvalidLoadBalancerInfoException_1 = require("../shapes/InvalidLoadBalancerInfoException");
var InvalidDeploymentStyleException_1 = require("../shapes/InvalidDeploymentStyleException");
var InvalidBlueGreenDeploymentConfigurationException_1 = require("../shapes/InvalidBlueGreenDeploymentConfigurationException");
var InvalidEC2TagCombinationException_1 = require("../shapes/InvalidEC2TagCombinationException");
var InvalidOnPremisesTagCombinationException_1 = require("../shapes/InvalidOnPremisesTagCombinationException");
var TagSetListLimitExceededException_1 = require("../shapes/TagSetListLimitExceededException");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InvalidECSServiceException_1 = require("../shapes/InvalidECSServiceException");
var InvalidTargetGroupPairException_1 = require("../shapes/InvalidTargetGroupPairException");
var ECSServiceMappingLimitExceededException_1 = require("../shapes/ECSServiceMappingLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDeploymentGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDeploymentGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateDeploymentGroupInput_1.UpdateDeploymentGroupInput
    },
    output: {
        shape: UpdateDeploymentGroupOutput_1.UpdateDeploymentGroupOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: InvalidDeploymentGroupNameException_1.InvalidDeploymentGroupNameException
        },
        {
            shape: DeploymentGroupAlreadyExistsException_1.DeploymentGroupAlreadyExistsException
        },
        {
            shape: DeploymentGroupNameRequiredException_1.DeploymentGroupNameRequiredException
        },
        {
            shape: DeploymentGroupDoesNotExistException_1.DeploymentGroupDoesNotExistException
        },
        {
            shape: InvalidEC2TagException_1.InvalidEC2TagException
        },
        {
            shape: InvalidTagException_1.InvalidTagException
        },
        {
            shape: InvalidAutoScalingGroupException_1.InvalidAutoScalingGroupException
        },
        {
            shape: InvalidDeploymentConfigNameException_1.InvalidDeploymentConfigNameException
        },
        {
            shape: DeploymentConfigDoesNotExistException_1.DeploymentConfigDoesNotExistException
        },
        {
            shape: InvalidRoleException_1.InvalidRoleException
        },
        {
            shape: LifecycleHookLimitExceededException_1.LifecycleHookLimitExceededException
        },
        {
            shape: InvalidTriggerConfigException_1.InvalidTriggerConfigException
        },
        {
            shape: TriggerTargetsLimitExceededException_1.TriggerTargetsLimitExceededException
        },
        {
            shape: InvalidAlarmConfigException_1.InvalidAlarmConfigException
        },
        {
            shape: AlarmsLimitExceededException_1.AlarmsLimitExceededException
        },
        {
            shape: InvalidAutoRollbackConfigException_1.InvalidAutoRollbackConfigException
        },
        {
            shape: InvalidLoadBalancerInfoException_1.InvalidLoadBalancerInfoException
        },
        {
            shape: InvalidDeploymentStyleException_1.InvalidDeploymentStyleException
        },
        {
            shape: InvalidBlueGreenDeploymentConfigurationException_1.InvalidBlueGreenDeploymentConfigurationException
        },
        {
            shape: InvalidEC2TagCombinationException_1.InvalidEC2TagCombinationException
        },
        {
            shape: InvalidOnPremisesTagCombinationException_1.InvalidOnPremisesTagCombinationException
        },
        {
            shape: TagSetListLimitExceededException_1.TagSetListLimitExceededException
        },
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InvalidECSServiceException_1.InvalidECSServiceException
        },
        {
            shape: InvalidTargetGroupPairException_1.InvalidTargetGroupPairException
        },
        {
            shape: ECSServiceMappingLimitExceededException_1.ECSServiceMappingLimitExceededException
        }
    ]
};
//# sourceMappingURL=UpdateDeploymentGroup.js.map